package se.festivitas.gwtptest.client.gin;

import com.google.gwt.inject.client.GinModules;
import com.gwtplatform.dispatch.client.gin.DispatchAsyncModule;

import se.festivitas.gwtptest.client.GlobalGatekeeper;
import se.festivitas.gwtptest.client.gin.ClientModule;
import com.google.gwt.inject.client.Ginjector;
import com.google.gwt.event.shared.EventBus;
import com.gwtplatform.mvp.client.annotations.DefaultGatekeeper;
import com.gwtplatform.mvp.client.proxy.PlaceManager;
import com.google.inject.Provider;
import se.festivitas.gwtptest.client.presenter.MainPagePresenter;

@GinModules({ DispatchAsyncModule.class, ClientModule.class })
public interface ClientGinjector extends Ginjector {

	EventBus getEventBus();

	@DefaultGatekeeper
	GlobalGatekeeper getGlobalGatekeeper();
	
	PlaceManager getPlaceManager();

	Provider<MainPagePresenter> getMainPagePresenter();
}
