package se.festivitas.gwtptest.client.gin;

import com.gwtplatform.mvp.client.gin.AbstractPresenterModule;
import com.gwtplatform.mvp.client.gin.DefaultModule;
import se.festivitas.gwtptest.client.place.ClientPlaceManager;
import se.festivitas.gwtptest.client.presenter.LoginPopupPresenter;
import se.festivitas.gwtptest.client.view.LoginPopupView;
import se.festivitas.gwtptest.client.view.MainPageView;
import se.festivitas.gwtptest.client.presenter.MainPagePresenter;
import se.festivitas.gwtptest.client.place.DefaultPlace;
import se.festivitas.gwtptest.client.place.NameTokens;

public class ClientModule extends AbstractPresenterModule {

	@Override
	protected void configure() {
		install(new DefaultModule(ClientPlaceManager.class));

		bindSingletonPresenterWidget(LoginPopupPresenter.class,
				LoginPopupPresenter.MyView.class, LoginPopupView.class);

		bindPresenter(MainPagePresenter.class, MainPagePresenter.MyView.class,
				MainPageView.class, MainPagePresenter.MyProxy.class);

		bindConstant().annotatedWith(DefaultPlace.class).to(NameTokens.main);
	}
}
